Download it now!
Bug 122055 - kde5: "Fatal Error" when selecting presentation template in Impress and Orca enabled
Summary: kde5: "Fatal Error" when selecting presentation template in Impress and Orca ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-12-12 18:27 UTC by Michael Weghorn
Modified: 2018-12-19 14:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-12-12 18:27:51 UTC
Version: 6.3.0.0.alpha0+
Build ID: 12edea426a31f57a9d5b1c65b34fb1336c5534e9
CPU threads: 1; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

This is not reproducible when using e.g. the gtk3 VCL plugin.

Steps to reproduce:

0) enable the Orca screen reader
1) start LibreOffice Impress: 'soffice --impress' -> The "Select a Template" dialog appears
2) Double-click on "Alizarin" to select this template

Result:

LibreOffice terminates. When started from command line, this output is shown:

    $ soffice --impress
    qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 2495, resource id: 35667117, major code: 40 (TranslateCoords), minor code: 0
    qt.accessibility.atspi: WARNING Qt AtSpiAdaptor: Accessible invalid:  QAccessibleInterface(0x560691607d50 invalid) "/org/a11y/atspi/accessible/2147483670"
    ...
    [same message many times more]
    ...
    qt.accessibility.atspi: WARNING Qt AtSpiAdaptor: Accessible invalid:  QAccessibleInterface(0x5606919b2850 invalid) "/org/a11y/atspi/accessible/2147484003"
    LibreOfficeDev 6.3 - Fatal Error: 


Expected result:

A new presentation with the selected template should be opened in Impress.

Note: This happened while testing on Debian unstable, with Orca at version 3.30.1-1.
Comment 1 Katarina Behrens (Inactive) 2018-12-18 17:20:56 UTC
Okay I'm confirming this (master build as of today + some 2 gerrit patches, not a11y related, on top)

At my box, the issue is much more severe. I can't even start Impress or Writer with blank document when doing so from the start centre w/ Orca enabled.
Comment 2 Commit Notification 2018-12-18 21:47:42 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d41bc9bd9359eb83f807fdfa72dbde0831f39be8%5E%21

tdf#122055: catch RuntimeException if a11y context no longer alive

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-12-19 05:48:11 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/20da54d941083a947d8890c2f6b0e8edf3bc9ed5%5E%21

tdf#122055: catch RuntimeException if a11y context no longer alive

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Weghorn 2018-12-19 14:19:31 UTC
Verified with:

Version: 6.3.0.0.alpha0+
Build ID: ef8de8d202deb92a57b52f4e48a4de77cf6d8b34
CPU threads: 1; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded